org.apache.ignite.internal

## Class GridLoggerProxy

- java.lang.Object
- - org.apache.ignite.internal.GridLoggerProxy

All Implemented Interfaces:
  Externalizable, Serializable, IgniteLogger, LifecycleAware

    public class GridLoggerProxy
    extends Object
    implements IgniteLogger, LifecycleAware, Externalizable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.IgniteLogger

`DEV_ONLY`

### Constructor Summary

Constructors
Constructor and Description
`GridLoggerProxy()` No-arg constructor is required by externalization.
`GridLoggerProxy(IgniteLogger impl, @Nullable Object ctgr, @Nullable String igniteInstanceName, String id8)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug(String msg)` Logs out debug message.
`void` `debug(@Nullable String marker, String msg)` Logs out debug message.
`void` `error(String msg)` Logs out error message.
`void` `error(@Nullable String marker, String msg, @Nullable Throwable e)` Logs error message with optional exception.
`void` `error(String msg, Throwable e)` Logs error message with optional exception.
`@Nullable String` `fileName()` Gets name of the file being logged to if one is configured or `null` otherwise.
`IgniteLogger` `getLogger(Object ctgr)` Creates new logger with given category based off the current instance.
`String` `getLoggerInfo()` Gets the class name and parameters of the Logger type used.
`void` `info(String msg)` Logs out information message.
`void` `info(@Nullable String marker, String msg)` Logs out information message.
`boolean` `isDebugEnabled()` Tests whether `debug` level is enabled.
`boolean` `isInfoEnabled()` Tests whether `info` level is enabled.
`boolean` `isQuiet()` Tests whether Logger is in "Quiet mode".
`boolean` `isTraceEnabled()` Tests whether `trace` level is enabled.
`void` `readExternal(ObjectInput in)`
`protected Object` `readResolve()` Reconstructs object on unmarshalling.
`void` `start()` Starts grid component, called on grid start.
`void` `stop()` Stops grid component, called on grid shutdown.
`String` `toString()`
`void` `trace(String msg)` Logs out trace message.
`void` `trace(@Nullable String marker, String msg)` Logs out trace message.
`void` `warning(String msg)` Logs out warning message.
`void` `warning(@Nullable String marker, String msg, @Nullable Throwable e)` Logs out warning message with optional exception.
`void` `warning(String msg, Throwable e)` Logs out warning message with optional exception.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridLoggerProxy

    public GridLoggerProxy()

No-arg constructor is required by externalization.

#### GridLoggerProxy

    public GridLoggerProxy(IgniteLogger impl,
                           @Nullable
                           @Nullable Object ctgr,
                           @Nullable
                           @Nullable String igniteInstanceName,
                           String id8)

Parameters:
  `impl` - Logger implementation to proxy to.
  `ctgr` - Optional logger category.
  `igniteInstanceName` - Ignite instance name (can be `null` for default grid).
  `id8` - Node ID.

### Method Detail

#### start

    public void start()

Starts grid component, called on grid start.

Specified by:
  `start` in interface `LifecycleAware`

#### stop

    public void stop()

Stops grid component, called on grid shutdown.

Specified by:
  `stop` in interface `LifecycleAware`

#### getLogger

    public IgniteLogger getLogger(Object ctgr)

Creates new logger with given category based off the current instance.

Specified by:
  `getLogger` in interface `IgniteLogger`
Parameters:
  `ctgr` - Category for new logger.
Returns:
  New logger with given category.

#### fileName

    @Nullable
    public @Nullable String fileName()

Gets name of the file being logged to if one is configured or `null` otherwise.

Specified by:
  `fileName` in interface `IgniteLogger`
Returns:
  Name of the file being logged to if one is configured or `null` otherwise.

#### trace

    public void trace(String msg)

Logs out trace message.

Specified by:
  `trace` in interface `IgniteLogger`
Parameters:
  `msg` - Trace message.

#### trace

    public void trace(@Nullable
                      @Nullable String marker,
                      String msg)

Logs out trace message. The default implementation calls `this.trace(msg)`.

Specified by:
  `trace` in interface `IgniteLogger`
Parameters:
  `marker` - Name of the marker to be associated with the message.
  `msg` - Trace message.

#### debug

    public void debug(String msg)

Logs out debug message.

Specified by:
  `debug` in interface `IgniteLogger`
Parameters:
  `msg` - Debug message.

#### debug

    public void debug(@Nullable
                      @Nullable String marker,
                      String msg)

Logs out debug message. The default implementation calls `this.debug(msg)`.

Specified by:
  `debug` in interface `IgniteLogger`
Parameters:
  `marker` - Name of the marker to be associated with the message.
  `msg` - Debug message.

#### info

    public void info(String msg)

Logs out information message.

Specified by:
  `info` in interface `IgniteLogger`
Parameters:
  `msg` - Information message.

#### info

    public void info(@Nullable
                     @Nullable String marker,
                     String msg)

Logs out information message. The default implementation calls `this.info(msg)`.

Specified by:
  `info` in interface `IgniteLogger`
Parameters:
  `marker` - Name of the marker to be associated with the message.
  `msg` - Information message.

#### warning

    public void warning(String msg)

Logs out warning message.

Specified by:
  `warning` in interface `IgniteLogger`
Parameters:
  `msg` - Warning message.

#### warning

    public void warning(String msg,
                        Throwable e)

Logs out warning message with optional exception.

Specified by:
  `warning` in interface `IgniteLogger`
Parameters:
  `msg` - Warning message.
  `e` - Optional exception (can be `null`).

#### warning

    public void warning(@Nullable
                        @Nullable String marker,
                        String msg,
                        @Nullable
                        @Nullable Throwable e)

Logs out warning message with optional exception. The default implementation calls `this.warning(msg)`.

Specified by:
  `warning` in interface `IgniteLogger`
Parameters:
  `marker` - Name of the marker to be associated with the message.
  `msg` - Warning message.
  `e` - Optional exception (can be `null`).

#### error

    public void error(String msg)

Logs out error message.

Specified by:
  `error` in interface `IgniteLogger`
Parameters:
  `msg` - Error message.

#### error

    public void error(String msg,
                      Throwable e)

Logs error message with optional exception.

Specified by:
  `error` in interface `IgniteLogger`
Parameters:
  `msg` - Error message.
  `e` - Optional exception (can be `null`).

#### error

    public void error(@Nullable
                      @Nullable String marker,
                      String msg,
                      @Nullable
                      @Nullable Throwable e)

Logs error message with optional exception. The default implementation calls `this.error(msg)`.

Specified by:
  `error` in interface `IgniteLogger`
Parameters:
  `marker` - Name of the marker to be associated with the message.
  `msg` - Error message.
  `e` - Optional exception (can be `null`).

#### isTraceEnabled

    public boolean isTraceEnabled()

Tests whether `trace` level is enabled.

Specified by:
  `isTraceEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `trace` level is enabled, `false` otherwise.

#### isDebugEnabled

    public boolean isDebugEnabled()

Tests whether `debug` level is enabled.

Specified by:
  `isDebugEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `debug` level is enabled, `false` otherwise.

#### isInfoEnabled

    public boolean isInfoEnabled()

Tests whether `info` level is enabled.

Specified by:
  `isInfoEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `info` level is enabled, `false` otherwise.

#### isQuiet

    public boolean isQuiet()

Tests whether Logger is in "Quiet mode".

Specified by:
  `isQuiet` in interface `IgniteLogger`
Returns:
  `true` "Quiet mode" is enabled, `false` otherwise

#### getLoggerInfo

    public String getLoggerInfo()

Gets the class name and parameters of the Logger type used.

Returns:
  Logger information (name and parameters)

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

Reconstructs object on unmarshalling.

Returns:
  Reconstructed object.
Throws:
  `ObjectStreamException` - Thrown in case of unmarshalling error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021